apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: grafana-oidc
  namespace: monitoring
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: vault-oidc-clients
    kind: ClusterSecretStore
  target:
    name: grafana-oidc-secret
    creationPolicy: Owner
  data:
    - secretKey: client_secret
      remoteRef:
        key: oidc-clients/grafana-oidc
        property: client_secret